
Redmine - Defect #19735

Email addresses with slashes are not linked correctly

2015-04-29 05:44 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.6.5   

Resolution: Fixed Affected version: 3.0.2

Description

Email addresses with slashes (e.g. foo/bar@example.com) are not linked correctly because Redmine does not recognize slashes in

local-part of email addresses.

I use email addresses that include a slash. Such email addresses are also used sometimes in IBM Notes.

Related issues:

Related to Redmine - Defect #29496: Email addresses which includes slashes ar... New

Associated revisions

Revision 14237 - 2015-05-08 09:03 - Jean-Philippe Lang

Email addresses with slashes are not linked correctly (#19735).

Patch by Go MAEDA.

Revision 14248 - 2015-05-10 09:20 - Jean-Philippe Lang

Merged r14237 (#19735).

Revision 14255 - 2015-05-10 09:30 - Jean-Philippe Lang

Merged r14237 (#19735).

History

#1 - 2015-04-29 05:51 - Go MAEDA

- Affected version set to 3.0.2

#2 - 2015-04-29 09:20 - Toshi MARUYAMA

- Target version set to 3.0.3

#3 - 2015-04-29 09:21 - Toshi MARUYAMA

RFC 2822 does not forbid to use "/".

https://www.ietf.org/rfc/rfc2822.txt

#4 - 2015-05-08 09:03 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r14237 with test moved to a separate test, thanks.

#5 - 2015-05-10 09:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#6 - 2015-05-10 09:30 - Jean-Philippe Lang

- Target version changed from 3.0.3 to 2.6.5
#7 - 2018-09-05 08:46 - Go MAEDA

- Related to Defect #29496: Email addresses which includes slashes are wrongly linked added

Files

allow-slashes-in-local-part.diff 1.64 KB 2015-04-29 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2024-03-13 2/2

http://www.tcpdf.org

